Page MenuHomePhabricator

[Epic] [SEO] Enable Schema.org Article linked data for all main namespace pages
Closed, ResolvedPublic

Description

This epic is part of a series of epics to improve search engine optimization (SEO) and covers building, deploying, measuring, and evaluating "sameAs" linked data.

In summary, the work is:

  1. Implement split tests
  2. Add linked data to pages
  3. Perform a staged rollout
  4. Evaluate A/B test
  5. Cleanup post-AB test

Of course, there are many firsts, unknowns, and work this summary doesn't cover but, given a successful analysis, the intended consequence is add an Article schema to main namespace pages like:

<script type="application/ld+json">
{
  "@context": "https://schema.org",
  "@type": "Article",
  "name": "Douglas Adams",
  "url": "https://de.wikipedia.org/wiki/Douglas_Adams",
  "sameAs": "https://www.wikidata.org/entity/Q42",
  "mainEntity": "https://www.wikidata.org/entity/Q42",
  "author": {
    "@type": "Organization",
    "name": "Contributors to Wikimedia projects"
  },
  "publisher": {
    "@type": "Organization",
    "name": "Wikimedia Foundation, Inc.",
    "logo": {
      "@type": "ImageObject",
      "url": "https://www.wikimedia.org/static/images/wmf-hor-googpub.png"
    }
  },
  "datePublished": "2002-05-27T18:26:23Z",
  "dateModified": "2018-09-28T20:16:12Z",
  "image": "https://upload.wikimedia.org/wikipedia/commons/c/c0/Douglas_adams_portrait_cropped.jpg",
  "headline": "British author and humorist (1952–2001)"
}
</script>

Related Objects

StatusSubtypeAssignedTask
OpenNone
Resolvedovasileva
OpenNone
OpenNone
Resolvednray
Resolvedovasileva
Resolvedmpopov
Resolvedovasileva
Resolvedovasileva
ResolvedNone
ResolvedJdlrobson
ResolvedNone
ResolvedNone
ResolvedNone
ResolvedJdforrester-WMF
Resolved Tbayer
Resolved Tbayer
ResolvedNone
Resolvedovasileva
Invalid Tbayer
ResolvedJan 13 2019mpopov
Resolvedmpopov
Resolved pmiazga
OpenNone
OpenNone
OpenNone

Event Timeline

Restricted Application changed the subtype of this task from "Deadline" to "Task". · View Herald TranscriptNov 12 2018, 8:07 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

The code is all written and the test is up and running. The A/B test will now run for a couple of months. @ovasileva should this still be in the kanbanana board while this happens?

The code is all written and the test is up and running. The A/B test will now run for a couple of months. @ovasileva should this still be in the kanbanana board while this happens?

I think we're done for this quarter - moving it back to the epics column

Is this epic still useful? Does reading web plan to see it through to completion or can we close it, leaving the remaining subtasks? If it is, can the description be updated outlining the remaining work and blockers?

ovasileva claimed this task.

A/B test was completed and we launched to 100%. Resolving the epic.